From adcce409abc415bc089ae10d7b9ef44edff30cad Mon Sep 17 00:00:00 2001
From: henry <Henry Weller h.weller@opencfd.co.uk>
Date: Thu, 12 Jun 2008 11:53:12 +0100
Subject: [PATCH] Added support for Ebrowse.

---
 bin/foamEbrowse    | 52 ++++++++++++++++++++++++++++++++++++++++++++++
 bin/foamPackSource |  1 +
 2 files changed, 53 insertions(+)
 create mode 100755 bin/foamEbrowse

diff --git a/bin/foamEbrowse b/bin/foamEbrowse
new file mode 100755
index 00000000000..cc831f9e877
--- /dev/null
+++ b/bin/foamEbrowse
@@ -0,0 +1,52 @@
+#!/bin/sh
+#------------------------------------------------------------------------------
+# =========                 |
+# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
+#  \\    /   O peration     |
+#   \\  /    A nd           | Copyright (C) 1991-2007 OpenCFD Ltd.
+#    \\/     M anipulation  |
+#-------------------------------------------------------------------------------
+# License
+#     This file is part of OpenFOAM.
+#
+#     OpenFOAM is free software; you can redistribute it and/or modify it
+#     under the terms of the GNU General Public License as published by the
+#     Free Software Foundation; either version 2 of the License, or (at your
+#     option) any later version.
+#
+#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
+#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+#     for more details.
+#
+#     You should have received a copy of the GNU General Public License
+#     along with OpenFOAM; if not, write to the Free Software Foundation,
+#     Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# Script
+#     foamEbrowse
+#
+# Description
+#     Build the Ebrowse dadbase for all the .C and .H files
+#
+#------------------------------------------------------------------------------
+headersFile=${TMPDIR:-/tmp}/headersFile.$$
+sourcesFile=${TMPDIR:-/tmp}/sourcesFile.$$
+
+if [ $# -ne 0 ]; then
+   echo "Usage : ${0##*/}"
+   echo ""
+   echo "Build the Ebrowse dadbase for all the .C and .H files"
+   echo ""
+   exit 1
+fi
+
+cd $WM_PROJECT_DIR
+find -H . -name "*.H" | fgrep -v "lnInclude" > $headersFile
+find -H . -name "*.C" | fgrep -v "lnInclude" > $sourcesFile
+ebrowse --files=$headersFile --files=$sourcesFile --output-file=.ebrowse
+
+# Clean up on termination and on Ctrl-C
+trap 'rm -f $headersFile $sourcesFile 2>/dev/null; exit 0' EXIT TERM INT
+
+#------------------------------------------------------------------------------
diff --git a/bin/foamPackSource b/bin/foamPackSource
index 2033e400c4f..ead7a80d98d 100755
--- a/bin/foamPackSource
+++ b/bin/foamPackSource
@@ -73,6 +73,7 @@ find -H $packDir               \
  -a ! -name "core"             \
  -a ! -name "core.[1-9]*"      \
  -a ! -name "log[0-9]*"        \
+ -a ! -name "\.ebrowse"        \
 | sed                          \
  -e "\@$packDir/.git/@d"       \
  -e "\@$packDir/lib/@d"        \
-- 
GitLab